unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Grids,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    SG1: TStringGrid;
    SG2: TStringGrid;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit1EditingDone(Sender: TObject);
    procedure Edit2EditingDone(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  iArray: Array of integer;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.Button1Click(Sender: TObject);
var
  c,r:integer;
  s:^integer;
begin
  SetLength(iArray,SG1.ColCount*SG1.RowCount);    //Größe iArray bestimmen

  for r:=0 to SG1.RowCount-1 do                   //iArray mit Daten aus Stringgrid füllen
    for c:=0 to SG1.ColCount-1 do
      trystrtoint(SG1.Cells[c,r],iArray[r*SG1.ColCount+c]);

                                                  //Jetzt sind die Strings in iArray

  for r:=0 to SG1.RowCount-1 do                   //Jetzt Tabelle SG2 füllen
    for c:=0 to SG1.ColCount-1 do
      SG2.Cells[c,r]:=inttostr(iArray[r*SG1.ColCount+c]);

  SetLength(iArray,0);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  x,y:integer;
begin
  for y:=0 to SG1.RowCount-1 do
    for x:=0 to SG1.ColCount-1 do
      SG1.Cells[y,x]:=inttostr(random(10));
end;

procedure TForm1.Edit1EditingDone(Sender: TObject);
var
  i:integer;
begin
  trystrtoint(edit1.Text,i);
  if (i>0) and (i<20) then begin
    SG1.RowCount:=i;
    SG2.RowCount:=i;
  end else showmessage('Falscher Wert, er muss zwischen 1 und 19 liegen!');
  SG2.Clean;
  Refresh;
end;

procedure TForm1.Edit2EditingDone(Sender: TObject);
var
  i:integer;
begin
  trystrtoint(edit2.Text,i);
  if (i>0) and (i<20) then begin
    SG1.ColCount:=i;
    SG2.ColCount:=i;
  end else showmessage('Falscher Wert, er muss zwischen 1 und 19 liegen!');
  SG2.Clean;
  Refresh;
end;

end.

